This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Update Auto-Scaling Group Schedule

1 - 1.3

put /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Description

Update Auto-Scaling Group schedule.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathschedule_id
required
Schedule ID
Example : 43d4841abd404220af5f0904037aba71
stringNone
bodybody
required

AutoScalingGroupScheduleUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

2 - 1.2

put /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Description

Update Auto-Scaling Group schedule.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathschedule_id
required
Schedule ID
Example : 43d4841abd404220af5f0904037aba71
stringNone
bodybody
required

AutoScalingGroupScheduleUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

3 - 1.1

put /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Description

Update Auto-Scaling Group schedule.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathschedule_id
required
Schedule ID
Example : 43d4841abd404220af5f0904037aba71
stringNone
bodybody
required

AutoScalingGroupScheduleUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

4 - 1.0

put /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Description

Update Auto-Scaling Group schedule.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathschedule_id
required
Schedule ID
Example : 43d4841abd404220af5f0904037aba71
stringNone
bodybody
required

AutoScalingGroupScheduleUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}